<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Музыкальный архив';
include_once '../sys/inc/thead.php';
title();
err();
aut();
echo "<div class='menu'>\n";
$id=$user['id'];
if(isset($_GET['act'])){$_GET['act']=check($_GET['act']);}else{$_GET['act']=NULL;}
////////////////////////////////////////

$music_kol = mysql_result(mysql_query("SELECT count(*) FROM `music`"), 0);

echo "<div class=\"head\"><b>Музыкальный архив</b></div><div class=\"main\">";   

switch($_GET['act']){
default:
echo "<b>Жанры:</b><br/>";

$result = mysql_query("SELECT * FROM music_razdel");
while($razdel = mysql_fetch_assoc($result)){
$file_razdel_kol = mysql_result(mysql_query("SELECT count(*) FROM `music` WHERE `jhanr` = '".$razdel['id']."'"), 0);
echo "-<a href=\"?act=razdel&razdel=".$razdel['id']."\">".$razdel['name']."</a> [".$file_razdel_kol."]<br/>";

}

if(user_access('loads_file_edit'))
{
    echo "<a href=\"?act=add_razdel\">Создать раздел</a><br/>";
}
break;

case 'add_razdel':
if(user_access('loads_file_edit'))
{
echo '<form action="?act=add_razdel_go" method="post" name="form">';
echo '
<b>Название раздела:</b><br/>
<input class="text" input name="name" type="text" maxlength="50" /><br/>
<input class="ibutton" input name="submit" type="submit" value="ок" /></form>';
}
break;

case 'add_razdel_go':
if(user_access('loads_file_edit'))
{
$name = check($_POST['name']);
mysql_query("INSERT INTO `music_razdel` SET `name` = '".$name."'");
echo 'Раздел успешно создан<br/>';
}
break;

case 'razdel':
$razdel=(int)mysql_real_escape_string($_GET['razdel']);

$info_razdel_posled = mysql_fetch_assoc(mysql_query("SELECT * FROM `music_razdel`order by id desc limit 1"));

$info_razdel_posled_2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `music_razdel` limit 1"));
if(($razdel>$info_razdel_posled['id']) or ($razdel==0) or ($razdel<$info_razdel_posled_2['id'])){
    echo 'Данного раздела не существует.';
}else{
    

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `music` WHERE `jhanr` = '$razdel'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];


if ($k_post==0){echo "Пусто<br/>\n";}
echo "<br/>[<a href=\"?act=upload&razdel=".$razdel."\">Загрузить файл</a>]<br/><br/>";
$result = mysql_query("SELECT * FROM music WHERE `jhanr` = '".$razdel."' LIMIT $start, $set[p_str]");
while($music = mysql_fetch_assoc($result)){
    
$user_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".$music['user']."'"));

echo "<div class=\"razdel\"><b>".output_text($music['ispol'])."</b> - ".output_text($music['nazv'])."</div>";

echo "Сохранен как: <b>".output_text($music['name'])."</b><br/>";
echo '[<a href="files/'.output_text($music['name']).'">Скачать</a>] [<a href="music_narez.php?music='.intval($music['id']).'">Нарезать</a>] <br/>';

echo "Загрузил: <b>";
echo "<a href='/user?id=$user_info[id]'>$user_info[nick]</a></b><br/><br/>";
if($webbrowser)echo '<object type="application/x-shockwave-flash" data="/sys/ump3player_500x70.swf" height="55" width="400"><param name="wmode" VALUE="transparent" />
<param name="allowFullScreen" value="true" />
<param name="allowScriptAccess" value="always" /><param name="movie" value="/sys/ump3player_500x70.swf" />
<param name="FlashVars" value="way=files/'.$music['name'].'&amp;swf=/sys/ump3player_500x70.swf&amp;w=235&amp;h=35&amp;autoplay=0&amp;q=&amp;skin=black&amp;volume=40&amp;comment='.$music['name'].'" /></object><br />';;



}
}

echo "<br/><br/>[<a href=\"?act=upload&razdel=".$razdel."\">Загрузить файл</a>]<br/>";
if(user_access('loads_file_edit'))echo "[<a href=\"?act=import&razdel=".$razdel."\">Импортировать файл</a>]<br/>";
echo "<br/><br/>[<a href=\"?\">В раздел</a>]<br/>";
break;
case 'import':
if(user_access('loads_file_edit')){
$razdel=(int)mysql_real_escape_string($_GET['razdel']);
echo '<div class="menu">';
if(!empty($_POST['file'])) { 
$ispol = check($_POST['ispol']);
$track_name = check($_POST['track_name']);
$file=mysql_real_escape_string(trim($_POST['file']));
$path='files';
$ch=curl_init(''.$file.'');
curl_setopt($ch,CURLOPT_USERAGENT,$_SERVER['HTTP_USER_AGENT']);
$ref=explode("/",$file); 
$new_name = ''.$_SERVER['HTTP_HOST'].'_'.time().'_file.mp3';
curl_setopt($ch,CURLOPT_REFERER,$ref[0]);
$fp=fopen(''.$path.'/'.$new_name.'','w+b'); 
curl_setopt($ch,CURLOPT_FILE,$fp);
curl_exec($ch); 
curl_close($ch);
if(!$fp) { echo "При сохранении файла не сервере произошла ошибка<br>"; }else{
print"Успешно $file загружен";
mysql_query("INSERT INTO `music` SET `jhanr`='".$razdel."', `nazv` = '".$track_name."', 
`name` = '".$new_name."', `ispol` = '".$ispol."', `user` = '".$id."'");
}
$name=basename($file); $data=date("y.m.d H:i:s"); 
$ext=pathinfo($new_name,PATHINFO_EXTENSION); 
$pah="$path/$file"; 
$date=date("y.m.d H:i:s, filemtime($pah)"); 
$size=filesize("$path/$new_name"); 
} else {
echo '<div class=list>Импорт файлов по CURL</div>';
echo '<form action=?act=import&razdel='.$razdel.' method=post>';
echo '<b>Исполнитель:</b> <small>[min. 3, max. 50]</small><br/>
<input name="ispol" type="text" maxlength="50" /><br/><br/>';
echo '<b>Название трэка:</b> <small>[min. 3, max. 50]</small><br/>
<input name="track_name" type="text" maxlength="50" /><br/><br/>';
echo 'Полный адрес файла <br><input type=text name=file><br><input type=submit value=Скачать><br>'; 
}
}else{print'Нужна авторызация';}
break;
/*case 'add_music':
if(isset($user)){
$music=(int)mysql_real_escape_string($_GET['music']);

$result = mysql_fetch_assoc(mysql_query("SELECT * FROM `music` WHERE `id` = '".$music."'"));
mysql_query("INSERT INTO `music` SET `jhanr`='".$result['jhanr']."', `nazv` = '".$result['nazv']."', `name` = '".$result['name']."', `ispol` = '".$result['ispol']."', `user` = '".$id."'");
}else{print'Нужна авторызация';}
break;
*/

case 'upload':
if(isset($user)){
$razdel=(int)mysql_real_escape_string($_GET['razdel']);
echo '[max. 10 mb]<br/><br/>'; 
echo '<form action="?act=upload_go&razdel='.$razdel.'" method="POST" name="form" enctype="multipart/form-data">';
echo '<b>Исполнитель:</b> <small>[min. 3, max. 50]</small><br/>
<input name="ispol" type="text" maxlength="50" /><br/><br/>';
echo '<b>Название трэка:</b> <small>[min. 3, max. 50]</small><br/>
<input name="track_name" type="text" maxlength="50" /><br/><br/>';
print 'Выберите файл:<br />


<input type="file" name="file"><br /><input type="submit" name="doUpload" value="Загрузить"></form></div>';
}else{print'Нужна авторызация';}
break;

case 'upload_go':
if(isset($user)){
$file = $_FILES['file']['tmp_name'];
$filename = $_FILES['file']['name'];
if(!empty($file))
{
ini_set('memory_limit', '32M');
$maxsize = "102800000";
$extentions = array("mp3");
$size = filesize ($_FILES['file']['tmp_name']);
$type = strtolower(substr($filename, 1+strrpos($filename,".")));
$new_name = ''.$_SERVER['HTTP_HOST'].'_'.time().'_file_'.$filename;



if($size > $maxsize)
{
echo "Файл больше 100 мб. Уменьшите размер вашего файла или загрузите другой. <br><a href='' onClick=window.close();>Закрыть окно</a>";
}

elseif(!in_array($type,$extentions))
{
echo ' <b>Файл имеет недопустимое расширение</b>. Допустимыми являются формат mp3. <br>';
}
else
{

if (copy($file, "files/".$new_name))
{

echo "Файл загружен!<br>";
$ispol = check($_POST['ispol']);
$track_name = check($_POST['track_name']);
$razdel=(int)mysql_real_escape_string($_GET['razdel']);
echo "Размер: <b>".floor($size)."</b> кб.<br/>";
$file = "music/".$new_name."";

//$user['upload_file']=$user['upload_file']+$size;
mysql_query("INSERT INTO `music` SET `jhanr`='".$razdel."', `nazv` = '".$track_name."', `name` = '".$new_name."', `ispol` = '".$ispol."', `user` = '".$id."'");
//mysql_query("UPDATE `profile` SET `upload_file` = '".$user['upload_file']."' WHERE `id` = '".$id."'");

}
else{ echo "Файл НЕ был загружен.";
}
}
}
}else{print'Нужна авторызация';}
break;

case 'music_user':
$music_user=(int)mysql_real_escape_string($_GET['music_user']);
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `music` WHERE `user` = '$music_user'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

$result = mysql_query("SELECT * FROM music WHERE `user` = '".$music_user."' LIMIT $start, $set[p_str]");
while($music = mysql_fetch_assoc($result)){
    
$user_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '".$music['user']."'"));

echo "<div class=\"razdel\"><b>".output_text($music['ispol'])."</b> - ".output_text($music['nazv'])."</div>";
echo "Сохранен как: <b>".output_text($music['name'])."</b><br/>";
echo '[<a href="music/'.output_text($music['name']).'">Скачать</a>] [<a href="music_narez.php?music='.intval($music['id']).'">Нарезать</a>] [<a href="?act=add_music&music='.$music['id'].'">Добавить</a>]<br/>';


echo "Загрузил: <b>";
echo "<a href='/user?id=$user_info[id]'>$user_info[nick]</a></b><br/><br/>";
if($webbrowser)echo '<object type="application/x-shockwave-flash" data="/sys/ump3player_500x70.swf" height="55" width="400"><param name="wmode" VALUE="transparent" />
<param name="allowFullScreen" value="true" />
<param name="allowScriptAccess" value="always" /><param name="movie" value="/sys/ump3player_500x70.swf" />
<param name="FlashVars" value="way=files/'.$music['name'].'&amp;swf=/sys/ump3player_500x70.swf&amp;w=235&amp;h=35&amp;autoplay=0&amp;q=&amp;skin=black&amp;volume=40&amp;comment='.$music['name'].'" /></object><br />';;
if ($k_page>1)str("?act=music_user&music_user=$music_user&",$k_page,$page); // Вывод страниц
}
break;
}
/////////////////////////////////////////
echo "</div></div>\n";
include_once '../sys/inc/tfoot.php';
?>